edu.cmu.pslc.logging.element

## Class InputElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.InputElement

-     public class InputElement
      extends java.lang.Object

  InputElement.
  Version:
    $Revision: 8633 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2013-02-01 10:09:57 -0500 (Fri, 01 Feb 2013) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputElement(java.lang.String selection)` Constructor.
    `InputElement(java.lang.String input, java.lang.String type, java.lang.String id)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets id.
    `java.lang.String` | `getSelection()` Gets selection.
    `java.lang.String` | `getType()` Gets type.
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InputElement

          public InputElement(java.lang.String input,
                      java.lang.String type,
                      java.lang.String id)

      Constructor.
      Parameters:
        `input` - input
        `type` - type
        `id` - id

    - #### InputElement

          public InputElement(java.lang.String selection)

      Constructor.
      Parameters:
        `selection` - selection

  - ### Method Detail

    - #### getSelection

          public java.lang.String getSelection()

      Gets selection.
      Returns:
        selection

    - #### getType

          public java.lang.String getType()

      Gets type.
      Returns:
        type

    - #### getId

          public java.lang.String getId()

      Gets id.
      Returns:
        id

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center